curl --request PATCH \
--url https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [
"<string>"
]
}
'import requests
url = "https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id}"
payload = { "channels": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channels: ['<string>']})
};
fetch('https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channels": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update per-connection user options (e.g., channel allowlist)
Save per-user options on a connection owned by the authenticated user.
Connections outside the current app cannot be updated.
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Body
Channel/chat IDs to index. For required-selection integrations (Teams) an empty list blocks all; for optional-selection integrations (Slack) an empty list indexes all. Deselected channels' indexed data is purged.
Response
Successful Response
Options selected by a user for a specific connection.
For example, a user can choose which Teams channels to index.
Was this page helpful?